//Pins connection
//Sensor(white box) upside, white box from you
//First left pin - VDD(5+)
//Second left pin - VSS(gnd)
//Third left pin - empty
//Fourth left pin - DATA

#include "mth02.h"
#define MTHPIN 12

MTH mth(MTHPIN);

void setup(){
  Serial.begin(9600);
  mth.begin();
}

void loop(){
  delay(5000);
  float tempC = mth.readTemperature();
  float tempF = mth.readTemperature(true);
  float hum = mth.readHumidity();

  Serial.print("Temp: ");
  Serial.print(tempC,1);
  Serial.print("\t Temp F: ");
  Serial.print(tempF,1);
  Serial.print("\t Humidity: ");
  Serial.print(hum,1);
  Serial.print(" %");
  Serial.println(""); 
}
